org.apache.torque.sql.whereclausebuilder

## Class NoReplacementsPreparedStatementPart

- java.lang.Object
- - org.apache.torque.sql.whereclausebuilder.NoReplacementsPreparedStatementPart

- All Implemented Interfaces:
    PreparedStatementPart

      public class NoReplacementsPreparedStatementPart
      extends Object
      implements PreparedStatementPart

  A PreparedStatementPart which only contains SQL and no replacements.
  Version:
    $Id: $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoReplacementsPreparedStatementPart(String sql)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getPreparedStatementReplacements()` Returns the empty list of prepared statement replacements.
    `String` | `getSqlAsString()` Returns the SQL of the part as String.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoReplacementsPreparedStatementPart

          public NoReplacementsPreparedStatementPart(String sql)

      Constructor.
      Parameters:
        `sql` - the contained sql.

  - ### Method Detail

    - #### getSqlAsString

          public String getSqlAsString()

      Returns the SQL of the part as String.
      Specified by:
        `getSqlAsString` in interface `PreparedStatementPart`
      Returns:
        the SQL, not null.

    - #### getPreparedStatementReplacements

          public List<Object> getPreparedStatementReplacements()

      Returns the empty list of prepared statement replacements. The returned list is unmodifiable.
      Specified by:
        `getPreparedStatementReplacements` in interface `PreparedStatementPart`
      Returns:
        the list of prepared statement replacements, not null.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.